com.typesafe.config

## Enum ConfigValueType

- java.lang.Object
- - java.lang.Enum<ConfigValueType>
  - - com.typesafe.config.ConfigValueType

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<ConfigValueType>

    public enum ConfigValueType
    extends java.lang.Enum<ConfigValueType>

The type of a configuration value (following the JSON type schema).

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`BOOLEAN`
`LIST`
`NULL`
`NUMBER`
`OBJECT`
`STRING`

### Method Summary

All Methods Static Methods Concrete Methods
`static ConfigValueType` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static ConfigValueType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### OBJECT

    public static final ConfigValueType OBJECT

#### LIST

    public static final ConfigValueType LIST

#### NUMBER

    public static final ConfigValueType NUMBER

#### BOOLEAN

    public static final ConfigValueType BOOLEAN

#### NULL

    public static final ConfigValueType NULL

#### STRING

    public static final ConfigValueType STRING

### Method Detail

#### values

    public static ConfigValueType[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (ConfigValueType c : ConfigValueType.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static ConfigValueType valueOf(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null